zenilib: zenilib/jni/external/freetype2/src/raster/ftmisc.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
ftmisc.h File Reference
`#include <FT_CONFIG_STANDARD_LIBRARY_H>`
`#include "inttypes.h"`

Go to the source code of this file.

## Classes

struct | FT_MemoryRec_

## Macros

#define | FT_BEGIN_HEADER
#define | FT_END_HEADER
#define | FT_LOCAL_DEF(x) static x
#define | FT_MAKE_TAG(_x1, _x2, _x3, _x4)

## Typedefs

typedef void *(* | FT_Alloc_Func )(FT_Memory memory, long size)
typedef unsigned char | FT_Byte
typedef int | FT_Error
typedef signed long | FT_F26Dot6
typedef void(* | FT_Free_Func )(FT_Memory memory, void *block)
typedef signed int | FT_Int
typedef int64_t | FT_Int64
typedef signed long | FT_Long
typedef struct FT_MemoryRec_ * | FT_Memory
typedef struct FT_MemoryRec_ | FT_MemoryRec
typedef void *(* | FT_Realloc_Func )(FT_Memory memory, long cur_size, long new_size, void *block)
typedef unsigned int | FT_UInt
typedef unsigned long | FT_ULong

## Functions

static FT_Long | FT_MulDiv (FT_Long a, FT_Long b, FT_Long c)

## Macro Definition Documentation

#define FT_BEGIN_HEADER

Definition at line 34 of file ftmisc.h.

#define FT_END_HEADER

Definition at line 35 of file ftmisc.h.

#define FT_LOCAL_DEF | ( |  | x | ) | static x

Definition at line 37 of file ftmisc.h.

#define FT_MAKE_TAG | ( |  | _x1,
|  |  | _x2,
|  |  | _x3,
|  |  | _x4
| ) |  |

Value:
( ( (FT_ULong)_x1 << 24 ) | \
( (FT_ULong)_x2 << 16 ) | \
( (FT_ULong)_x3 << 8 ) | \
(FT_ULong)_x4 )
FT_ULong
unsigned long FT_ULong
Definition: fttypes.h:249

Definition at line 50 of file ftmisc.h.

## Typedef Documentation

typedef void*(* FT_Alloc_Func)(FT_Memory memory, long size)

Definition at line 61 of file ftmisc.h.

typedef unsigned char FT_Byte

Definition at line 42 of file ftmisc.h.

typedef int FT_Error

Definition at line 48 of file ftmisc.h.

typedef signed long FT_F26Dot6

Definition at line 47 of file ftmisc.h.

typedef void(* FT_Free_Func)(FT_Memory memory, void *block)

Definition at line 64 of file ftmisc.h.

typedef signed int FT_Int

Definition at line 43 of file ftmisc.h.

typedef int64_t FT_Int64

Definition at line 93 of file ftmisc.h.

typedef signed long FT_Long

Definition at line 45 of file ftmisc.h.

typedef struct FT_MemoryRec_* FT_Memory

Definition at line 59 of file ftmisc.h.

typedef struct FT_MemoryRec_ FT_MemoryRec

typedef void*(* FT_Realloc_Func)(FT_Memory memory, long cur_size, long new_size, void *block)

Definition at line 67 of file ftmisc.h.

typedef unsigned int FT_UInt

Definition at line 44 of file ftmisc.h.

typedef unsigned long FT_ULong

Definition at line 46 of file ftmisc.h.

## Function Documentation

static FT_Long FT_MulDiv | ( | FT_Long | a,
|  | FT_Long | b,
|  | FT_Long | c
| ) |  |

static

Definition at line 99 of file ftmisc.h.

References d.